AuthMeReloaded 5.6.0-beta1

The best authentication plugin for the Bukkit/Spigot API!

  1. Xephi59
    Native Minecraft Version:
    1.13
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    Source Code:
    https://github.com/AuthMe/AuthMeReloaded
    Contributors:
    Xephi59, sgdc3, ljacqu, DNx5, TimVisee, games647, Gnat008, HexelDev
    [​IMG]
    The best authentication plugin for the Bukkit/Spigot API!
    WARNING: if you want to try the newest features please use the latest dev build! (https://ci.codemc.org/job/AuthMe/job/AuthMeReloaded/)
    Plugin Description:
    Prevent username stealing on your server!
    Use it to secure your Offline mode server or to incrase your Online mode server's protection!

    AuthMeReloaded disallows players who aren't authenticated to do actions like placing blocks, moving,
    typing commands or use the inventory. It can also kick players with uncommon long or short player names or kick players from banned countries.
    With the Session Login feature you don't have to execute the authentication command everytime you connect to the server!
    Each command and every feature can be enabled or disabled from our well structured configuration file.

    You can also create your own translation file and, if you want, you can share it with us! :)
    Support
    Features:
    • E-Mail Recovery System!
    • Username spoofing protection.
    • Countries Whitelist/Blacklist! (countries codes)
    • Built-in AntiBot System!
    • ForceLogin Feature: Admins can login with all account via console commands!
    • Avoid the "Logged in from another location" message!
    • Session Login!
    • Editable translations and messages!
    • MySQL and SQLite Backend support!
    • Supported password encryption algorithms: MD5, SHA1, SHA256, xAuth, Whirlpool
    • Supported alternative registration methods:
      • PHPBB, VBullettin: PHPBB - MD5VB
      • MyBB: MYBB
      • IPB3: IPB3
      • IPB4: IPB4
      • PhpFusion: PHPFUSION
      • Joomla: JOOMLA
      • WBB3: WBB3*
      • SHA512: SALTEDSHA512
      • DoubleSaltedMD5: SALTED2MD5
      • WordPress: WORDPRESS
      • List of all supported hashes
    • Custom MySQL tables/columns names (useful with forums databases)
    • Cached database queries!
    • Full compatible with Citizens2, CombatTag, CombatTagPlus and ChestShop!
    • Compatible with Minecraft mods like
      BuildCraft or RedstoneCraft
    • Restricted users (associate a Username with an IP)
    • Protect player's inventory until a correct Authentication
    • Saves the quit location of the player
    • Automatic database Backup
    • Avariable languages: en, de, br, cz, pl, fr, uk, ru, hu, sk, es, fi, zhtw, zhhk, zhcn, lt, it, ko, pt, nl, gl, bg, eu, tr (feel free to send new translations)
    • Built-in Deprecated FlatFile (auths.db) to SQLite converter!
    • Import your old database from other plugins like Rakamak, xAuth, CrazyLogin, RoyalAuth and vAuth
    Setup guide:
    Configuration:
    Commands:
    Permissions:
    How To:
    • How to use the converter
    • How to convert from Rakamak
    • How to import database from xAuth
    • Website integration
    • Convert between database types (e.g. SQLite to MySQL): /authme converter
    Development tools:
    GitHub: AuthMe Source Code
    Build Server (Dev Builds): CodeMc Jenkins
    JavaDocs: AuthMe Javadoc
    Maven Repo: CodeMc Repo

    Statistics:
    GeoIP Infos:
    This product uses data from the GeoLite API created by MaxMind, available at: http://www.maxmind.com

    Credits:
    Contributors : Xephi59, sgdc3, ljacqu, DNx5, TimVisee, games647, Gnat008, Hexel
    Inactive: Maxetto, darkwarriors, eprimex​
    Logo by MasterMithrandir
    dasori, HappyInLife, bithuc and 51 others like this.

Recent Updates

  1. 5.6.0-beta1 Update
  2. 5.4.0 Update
  3. AuthMe 5.3.2 Release

Recent Reviews

  1. Severomat
    Severomat
    4/5,
    Version: 5.6.0-beta1
    Really good plugin, great work, i like this plugin a lot.
    I would rate it 5 starts but i have a little problem.

    Can you please, please upload a updated version from the devbuils?

    The 5.6.0-beta1 its broken

    its been more than 1 years from last uploaded version (5.6.0-beta1)
    And i am only asking one.

    Just upload it like 5.6.0-beta2 or something.

    Some servers doesn't allow uploading custom jars.
    I know how to host a server with my pc but my internet sucks rn.

    This will be useful for people, and you will have less reviews and issues from outdated versions.

    Thanks.
  2. herojhjh
    herojhjh
    5/5,
    Version: 5.6.0-beta1
    A good plugin that offers a lot of features, especially it's offer BCrypt and other password hash algorithm. For people who said that they got hacked and not secure, then you're bad at configuring the server
  3. Tekhen
    Tekhen
    1/5,
    Version: 5.6.0-beta1
    THIS PLUGIN IS NOT reliable ! DO NOT DOWNLOAD THIS PLUGIN FOR PROTECT YOUR SERVER !
  4. LionKingMD
    LionKingMD
    1/5,
    Version: 5.6.0-beta1
    My account got hacked..and i had 2fa on.. please work on it.. its the only stable plugin for authentification, people need it.
  5. Itzack
    Itzack
    5/5,
    Version: 5.6.0-beta1
    Great, Working on 1.16.2, download the latest dev Build
    (AuthMe-5.6.0-SNAPSHOT.jar), enjoy!
  6. xiaobaitu
    xiaobaitu
    5/5,
    Version: 5.6.0-beta1
    Please update to 1.16.1, we really need.I want to make empty of 1.16, so please update
  7. ThijsL202
    ThijsL202
    4/5,
    Version: 5.6.0-beta1
    can i please have a version without country blocking i get blocked everytime and doesn't seem to disable it!!!
  8. JhonatanDCl
    JhonatanDCl
    5/5,
    Version: 5.6.0-beta1
    El plugin funciona correctamente y si no les funciona en versiones superiores descarguen la devbuild o activen el forcevaulthook así no se les apaga el server :picardía:
  9. jordan123456
    jordan123456
    2/5,
    Version: 5.6.0-beta1
    The plugin does not work in 1.15, please correct this quickly
    Thanks for that
    We need
  10. TheTikyMEMA_
    TheTikyMEMA_
    3/5,
    Version: 5.6.0-beta1
    Please, update to version 1.16.1! ......................................................